package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * DeviceAddProcessRespVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceAddProcessRespVo   {
  @JsonProperty("processStatus")
  private Integer processStatus;

  @JsonProperty("devices")
  @Valid
  private List<SnAddResultVo> devices = null;

  public DeviceAddProcessRespVo processStatus(Integer processStatus) {
    this.processStatus = processStatus;
    return this;
  }

  /**
   * It should be a value as follows: 0: init; 1: doing; 2: done
   * @return processStatus
  */
  @ApiModelProperty(value = "It should be a value as follows: 0: init; 1: doing; 2: done")


  public Integer getProcessStatus() {
    return processStatus;
  }

  public void setProcessStatus(Integer processStatus) {
    this.processStatus = processStatus;
  }

  public DeviceAddProcessRespVo devices(List<SnAddResultVo> devices) {
    this.devices = devices;
    return this;
  }

  public DeviceAddProcessRespVo addDevicesItem(SnAddResultVo devicesItem) {
    if (this.devices == null) {
      this.devices = new ArrayList<>();
    }
    this.devices.add(devicesItem);
    return this;
  }

  /**
   * Devices add result
   * @return devices
  */
  @ApiModelProperty(value = "Devices add result")

  @Valid

  public List<SnAddResultVo> getDevices() {
    return devices;
  }

  public void setDevices(List<SnAddResultVo> devices) {
    this.devices = devices;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceAddProcessRespVo deviceAddProcessRespVo = (DeviceAddProcessRespVo) o;
    return Objects.equals(this.processStatus, deviceAddProcessRespVo.processStatus) &&
        Objects.equals(this.devices, deviceAddProcessRespVo.devices);
  }

  @Override
  public int hashCode() {
    return Objects.hash(processStatus, devices);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceAddProcessRespVo {\n");
    
    sb.append("    processStatus: ").append(toIndentedString(processStatus)).append("\n");
    sb.append("    devices: ").append(toIndentedString(devices)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

